<template>
  <span>
    <coscine-loading-form-skeleton v-if="isLoading" />
    <span v-else>
      <FormGenerator
        :key="resource.applicationProfile"
        :fixedValueMode="true"
        :disabledMode="!isOwner || resource.isArchived"
        :fixedValues="resource.fixedValues"
        :applicationProfileId="resource.applicationProfile"
        :SHACLDefinition="JSON.stringify(applicationProfile)"
        mimeType="application/ld+json"
      />
    </span>
  </span>
</template>

<script lang="ts">
import Vue from "vue";
import FormGenerator from "@coscine/form-generator";
import "@coscine/form-generator/dist/index.css";

import { CoscineLoadingFormSkeleton } from "@coscine/component-library";
import "@coscine/component-library/dist/index.css";

Vue.use(FormGenerator);

export default Vue.extend({
  name: "Metadata",
  components: {
    CoscineLoadingFormSkeleton,
  },
  data() {
    return {};
  },
  props: {
    resource: Object,
    isOwner: {
      default: false,
      type: Boolean,
    },
    isLoading: {
      default: false,
      type: Boolean,
    },
    applicationProfile: Array,
  },
  methods: {},
});
</script>

<style></style>
